<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: vdf_wallfunc_defs::tauw_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacevdf__wallfunc__defs.html">vdf_wallfunc_defs</a></li><li class="navelem"><a class="el" href="structvdf__wallfunc__defs_1_1tauw__t.html">tauw_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="structvdf__wallfunc__defs_1_1tauw__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">vdf_wallfunc_defs::tauw_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for vdf_wallfunc_defs::tauw_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structvdf__wallfunc__defs_1_1tauw__t__coll__graph.png" border="0" usemap="#vdf__wallfunc__defs_1_1tauw__t_coll__map" alt="Collaboration graph"/></div>
<map name="vdf__wallfunc__defs_1_1tauw__t_coll__map" id="vdf__wallfunc__defs_1_1tauw__t_coll__map">
<area shape="rect" id="node2" href="structvdf__wallfunc__defs_1_1tauw__bdry__t.html" title="{vdf_wallfunc_defs::\ltauw_bdry_t\n|&#45; tau_from_u_type\l&#45; tw\l|}" alt="" coords="1385,2253,1519,2360"/>
<area shape="rect" id="node3" href="structsd__boundary__defs_1_1boundary__.html" title="{sd_boundary_defs::boundary_\n|+ name\l+ config\l+ changed\l+ object_moved\l+ sid\l+ sid_old\l+ material_index\l+ object_name\l+ index_s\l+ disable_thin_object\land 32 more...\l|}" alt="" coords="1354,1967,1550,2191"/>
<area shape="rect" id="node4" href="structsd__boundary__defs_1_1bc__face__.html" title="{sd_boundary_defs::bc\l_face_\n|+ i\l+ j\l+ k\l+ icv\l+ jcv\l+ kcv\l+ icv_gh\l+ jcv_gh\l+ kcv_gh\l+ dir\land 36 more...\l|}" alt="" coords="654,1305,805,1544"/>
<area shape="rect" id="node36" href="structsd__boundary__defs_1_1bc__face__unit__.html" title="{sd_boundary_defs::bc\l_face_unit_\n||}" alt="" coords="859,1717,1010,1809"/>
<area shape="rect" id="node5" href="structib__defs__m_1_1ib__face__.html" title="{ib_defs_m::ib_face_\n|+ ifa\l+ area\l+ area_normal\l+ area_normal_ib\l+ normal_ib\l+ uold\l+ udot_dpdx\l+ udot_visc\l+ uvec\l+ sc_flux_bc\land 7 more...\l|}" alt="" coords="331,784,469,1008"/>
<area shape="rect" id="node6" href="structib__defs__m_1_1ib__intrp__.html" title="{ib_defs_m::ib_intrp_\n|+ np\l+ index\l+ weight\l+ x_ib\l+ eta\l+ wt_neum\l|}" alt="" coords="319,42,457,193"/>
<area shape="rect" id="node8" href="structib__defs__m_1_1ib__nprobe__.html" title="{ib_defs_m::ib_nprobe_\n|+ np\l+ ip_u\l+ dx\l+ x_ib\l+ d_ib\l+ d_ib_sign\l+ nv\l+ e_t\l+ xp\l+ wt_flux2d\l+ wt_d2flux\l+ wt_lin\l+ wt_neum\l+ icv_n\l|}" alt="" coords="311,409,465,677"/>
<area shape="rect" id="node33" href="structib__defs__m_1_1ib__edge__.html" title="{ib_defs_m::ib_edge_\n|+ area_normal\l+ uold\l+ udot_dpdx\l+ udot_visc\l+ uvec\l+ ke_coef\l+ new\l+ dpdx\l+ dpdx_mult\l+ flag\l|}" alt="" coords="494,791,637,1001"/>
<area shape="rect" id="node7" href="structobject__tools__m_1_1closest__point__info__t.html" title="{object_tools_m::closest\l_point_info_t\n|+ x_ib\l+ normal\l+ dist\l+ object_index\l|}" alt="" coords="5,475,165,611"/>
<area shape="rect" id="node9" href="structib__defs__m_1_1ib__dvisc__.html" title="{ib_defs_m::ib_dvisc_\n|+ dxx_bc\l+ dxx_f\l|}" alt="" coords="777,497,922,589"/>
<area shape="rect" id="node10" href="structdata__xx__defs_1_1r0__unit__.html" title="{data_xx_defs::r0_unit_\n|+ d\l|}" alt="" coords="772,79,927,156"/>
<area shape="rect" id="node11" href="structib__defs__m_1_1ib__wfunc__.html" title="{ib_defs_m::ib_wfunc_\n|+ u_bc\l+ ut_lag\l+ tau_w\l+ u_tau\l+ u_p\l+ e_t\l+ tauw_body_fit\l|}" alt="" coords="489,461,639,626"/>
<area shape="rect" id="node12" href="structsd__boundary__defs_1_1grid__face__.html" title="{sd_boundary_defs::grid\l_face_\n|+ i\l+ j\l+ k\l+ icv\l+ jcv\l+ kcv\l+ dir\l+ dir_sign\l+ type\l+ active\land 9 more...\l|}" alt="" coords="88,777,245,1015"/>
<area shape="rect" id="node13" href="structbc__metric__defs_1_1bc__metric__.html" title="{bc_metric_defs::bc\l_metric_\n|+ type\l+ bc\l+ op\l+ op_bc\l+ op_orig\l+ dist_s\l+ dist_e\l+ target_op\l|}" alt="" coords="828,799,961,993"/>
<area shape="rect" id="node32" href="structsd__boundary__defs_1_1bc__edge__.html" title="{sd_boundary_defs::bc\l_edge_\n|+ i\l+ j\l+ k\l+ id_x\l+ ifa\l+ jfa\l+ kfa\l+ ifa_gh\l+ jfa_gh\l+ kfa_gh\land 25 more...\l|}" alt="" coords="1049,1305,1199,1544"/>
<area shape="rect" id="node14" href="structib__defs__m_1_1wf__face__.html" title="{ib_defs_m::wf_face_\n|+ ifa\l+ normal\l+ d_ib\l+ d_pp\l+ d_cv\l+ ifluid\l+ ubc_type\l+ delubc\l+ ubc_avg\l+ active\l+ flag\l|}" alt="" coords="661,784,803,1008"/>
<area shape="rect" id="node15" href="structmulti__domain__defs__m_1_1md__src__point__t.html" title="{multi_domain_defs_m\l::md_src_point_t\n|+ x\l+ i_cv\l+ changed\l+ ghost_cv\l+ trg_irank\l+ trg_part_sid\l+ index_trg_pt\l+ index_buf_send\l+ i_s\l+ i_e\l+ coeff_poly\l+ flag\l|}" alt="" coords="975,417,1124,670"/>
<area shape="rect" id="node35" href="structib__defs__m_1_1wf__edge__.html" title="{ib_defs_m::wf_edge_\n|+ ied\l+ ied_comm\l+ normal\l+ d_ib\l+ d_pp\l+ d_fa\l+ ifluid\l+ ubc_type\l+ delubc\l+ ubc_avg\l+ active\l+ flag\l|}" alt="" coords="1047,777,1193,1015"/>
<area shape="rect" id="node16" href="structmulti__domain__defs__m_1_1partition__info__t.html" title="{multi_domain_defs_m\l::partition_info_t\n|+ x_min\l+ x_max\l+ dx\l+ x_ref\l+ op\l+ op_i0\l+ domain\l+ sid\l+ irank\l+ sid_under_domain\l|}" alt="" coords="975,5,1124,229"/>
<area shape="rect" id="node17" href="structsd__boundary__defs_1_1object__item__t.html" title="{sd_boundary_defs::object\l_item_t\n||}" alt="" coords="1601,1717,1772,1809"/>
<area shape="rect" id="node18" href="structobject__defs__m_1_1object__t.html" title="{object_defs_m::object_t\n|+ index_s\l+ type\l+ state\l+ virtual\l+ dummy\l+ rewind_next\l+ boundary_name\l+ id_attached_object\l+ rw_flag\l+ dump_flag\land 22 more...\l|}" alt="" coords="1873,1313,2034,1537"/>
<area shape="rect" id="node19" href="structobject__defs__m_1_1object__motions__t.html" title="{object_defs_m::object\l_motions_t\n|+ time\l|}" alt="" coords="1461,850,1611,942"/>
<area shape="rect" id="node20" href="structobject__defs__m_1_1object__a__motion__t.html" title="{object_defs_m::object\l_a_motion_t\n|+ type\l+ d\l+ center_now\l+ d2\l+ d_char\l|}" alt="" coords="1461,468,1611,619"/>
<area shape="rect" id="node21" href="structnamelist__m_1_1name__t.html" title="{namelist_m::name_t\n|&#45; d\l|}" alt="" coords="1697,857,1837,935"/>
<area shape="rect" id="node22" href="structobject__defs__m_1_1object__domain__t.html" title="{object_defs_m::object\l_domain_t\n|+ delta\l+ imino\l+ imaxo\l+ jmino\l+ jmaxo\l+ kmino\l+ kmaxo\l+ icyl\l+ x\l+ y\land 6 more...\l|}" alt="" coords="1918,777,2069,1015"/>
<area shape="rect" id="node23" href="structsd__adt__defs__m_1_1sd__adt__t.html" title="{sd_adt_defs_m::sd_adt_t\n||}" alt="" coords="1889,505,2058,582"/>
<area shape="rect" id="node24" href="structadt__m_1_1adt__t.html" title="{adt_m::adt_t\n|+ ndim\l+ n\l+ stack_size\l+ ileafdata\l+ rbbox_leafdata\l+ ibbox_leafdata\l+ index\l+ stack\l|}" alt="" coords="1947,27,2066,207"/>
<area shape="rect" id="node25" href="structstl__m_1_1stl__t.html" title="{stl_m::stl_t\n|&#45; name\l&#45; nv\l&#45; nf\l&#45; xyz\l&#45; ixyz\l&#45; v_of_f\l&#45; normal\l&#45; f_of_v_i\l&#45; f_of_v_v\l&#45; f_of_v_s\land 12 more...\l|}" alt="" coords="2083,431,2189,655"/>
<area shape="rect" id="node26" href="structstl__m_1_1stl__work__t.html" title="{stl_m::stl_work_t\n|&#45; inormal_hi\l&#45; inormal_lo\l|}" alt="" coords="2124,71,2247,163"/>
<area shape="rect" id="node27" href="structparser_1_1param__t.html" title="{parser::param_t\n|+ type_line_len\l+ domain\l+ line\l+ line_ext1\l+ line_ext2\l+ line_ext3\l+ argc\l+ argc_tag\l+ argv\l+ argv_tag\l+ request_count\l+ processed\l+ domain_given\l+ tag_pos\l+ value_pos\l|}" alt="" coords="2169,755,2285,1037"/>
<area shape="rect" id="node28" href="structdata__xx__defs_1_1bc__r1__.html" title="{data_xx_defs::bc_r1_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ vector_bc\l+ shared_bc\l+ ddt_flag\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\land 8 more...\l|}" alt="" coords="2173,1313,2320,1537"/>
<area shape="rect" id="node29" href="structib__defs__m_1_1ib__boundary__.html" title="{ib_defs_m::ib_boundary_\n|+ sc_neum_bc\l+ flag\l+ add_dpdx_intrp\l+ add_visc_intrp\l+ vel_nprobe\l+ mass_corr\l+ ke_corr\l+ solve_cv_gh\l+ cont_rm_divu\l+ clip_tw\land 12 more...\l|}" alt="" coords="2369,1651,2535,1875"/>
<area shape="rect" id="node30" href="structib__defs__m_1_1ib__wf__bdry__.html" title="{ib_defs_m::ib_wf_bdry_\n|+ updated_tauw\l+ use_dpdx_t\l+ tauw_body_fit\l+ vel_type_t\l+ vel_type_n\l+ eddy_visc_type\l+ tot_time_mean\l+ filt_time_mean\l+ max_visc_ratio\l+ visc_dpdx_mult\land 12 more...\l|}" alt="" coords="2405,1313,2565,1537"/>
<area shape="rect" id="node31" href="structdata__xx__defs_1_1r1__unit__.html" title="{data_xx_defs::r1_unit_\n|+ d\l|}" alt="" coords="2408,857,2563,935"/>
<area shape="rect" id="node34" href="structsd__boundary__defs_1_1grid__edge__.html" title="{sd_boundary_defs::grid\l_edge_\n|+ i\l+ j\l+ k\l+ id_x\l+ ifa\l+ jfa\l+ kfa\l+ ifa_gh\l+ jfa_gh\l+ kfa_gh\land 12 more...\l|}" alt="" coords="1217,777,1375,1015"/>
<area shape="rect" id="node37" href="structib__defs__m_1_1wf__boundary__.html" title="{ib_defs_m::wf_boundary_\n||}" alt="" coords="2565,1724,2736,1801"/>
<area shape="rect" id="node38" href="structib__defs__m_1_1visc__src__bdry__t.html" title="{ib_defs_m::visc_src\l_bdry_t\n|+ type_interp\l+ interp_max_width\l+ interp_max_delta\l+ set_ubc\l+ nfa\l+ ned_comm\l+ maxcw\l+ idist_max\l+ tw\l|}" alt="" coords="2589,1320,2728,1529"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ace4098ba2a7441b8c21a238192694c0d"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvdf__wallfunc__defs_1_1tauw__t.html#ace4098ba2a7441b8c21a238192694c0d">nb</a></td></tr>
<tr class="separator:ace4098ba2a7441b8c21a238192694c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e75173992c4861e5b03b523d0a4baae"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structvdf__wallfunc__defs_1_1tauw__bdry__t.html">tauw_bdry_t</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvdf__wallfunc__defs_1_1tauw__t.html#a5e75173992c4861e5b03b523d0a4baae">tb</a> =&gt; null()</td></tr>
<tr class="separator:a5e75173992c4861e5b03b523d0a4baae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ace4098ba2a7441b8c21a238192694c0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace4098ba2a7441b8c21a238192694c0d">&#9670;&nbsp;</a></span>nb</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer vdf_wallfunc_defs::tauw_t::nb</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5e75173992c4861e5b03b523d0a4baae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e75173992c4861e5b03b523d0a4baae">&#9670;&nbsp;</a></span>tb</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structvdf__wallfunc__defs_1_1tauw__bdry__t.html">tauw_bdry_t</a>), dimension(:), pointer vdf_wallfunc_defs::tauw_t::tb =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="vdf__wallfunc__defs_8f90.html">vdf_wallfunc_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:53 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
